require 'rack'
require 'ezpaas/models/init'
require 'ezpaas/server/routes/apps'
require 'ezpaas/server/routes/deployments'
require 'ezpaas/server/routes/proxy'

module EzPaaS
  module Server

    class << self
      attr_accessor :app
    end

    self.app = Rack::Builder.new {
      map '/apps' do
        run EzPaaS::Server::Routes::Apps
      end

      map '/deployments' do
        run EzPaaS::Server::Routes::Deployments
      end

      map '/proxy' do
        run EzPaaS::Server::Routes::Proxy
      end
    }
    
  end
end
